import 'package:sudoku/utils/tools.dart';

class DefaultGameSettings {
  static const String parameterCodeLevel = 'level';
  static const String parameterCodeSize = 'size';

  static const List<String> availableParameters = [
    parameterCodeLevel,
    parameterCodeSize,
  ];

  static const String levelValueEasy = 'easy';
  static const String levelValueMedium = 'medium';
  static const String levelValueHard = 'hard';
  static const String levelValueNightmare = 'nightmare';

  static const String defaultLevelValue = levelValueMedium;
  static const List<String> allowedLevelValues = [
    levelValueEasy,
    levelValueMedium,
    levelValueHard,
    levelValueNightmare,
  ];

  static const String sizeValueTiny = '2x2';
  static const String sizeValueSmall = '3x2';
  static const String sizeValueStandard = '3x3';
  static const String sizeValueLarge = '4x4';

  static const String defaultSizeValue = sizeValueStandard;
  static const List<String> allowedSizeValues = [
    sizeValueTiny,
    sizeValueSmall,
    sizeValueStandard,
    sizeValueLarge,
  ];

  static List<String> getAvailableValues(String parameterCode) {
    switch (parameterCode) {
      case parameterCodeLevel:
        return DefaultGameSettings.allowedLevelValues;
      case parameterCodeSize:
        return DefaultGameSettings.allowedSizeValues;
    }

    printlog('Did not find any available value for game parameter "$parameterCode".');
    return [];
  }
}
