import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import 'package:sudoku/cubit/game_cubit.dart';
import 'package:sudoku/models/game.dart';
import 'package:sudoku/ui/layout/board.dart';
import 'package:sudoku/ui/widgets/message_game_end.dart';
import 'package:sudoku/ui/widgets/bar_select_cell_value.dart';

class ScreenGame extends StatelessWidget {
  const ScreenGame({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<GameCubit, GameState>(
      builder: (BuildContext context, GameState gameState) {
        final Game game = gameState.game;

        return Column(
          mainAxisAlignment: MainAxisAlignment.start,
          crossAxisAlignment: CrossAxisAlignment.center,
          children: [
            const SizedBox(height: 8),
            const BoardLayout(),
            const SizedBox(height: 8),
            game.isFinished ? const SizedBox.shrink() : const SelectCellValueBar(),
            const Expanded(child: SizedBox.shrink()),
            game.isFinished ? const EndGameMessage() : const SizedBox.shrink(),
          ],
        );
      },
    );
  }
}
