import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import 'package:sudoku/cubit/game_cubit.dart';
import 'package:sudoku/models/game.dart';
import 'package:sudoku/ui/widgets/button_game_restart.dart';

class EndGameMessage extends StatelessWidget {
  const EndGameMessage({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<GameCubit, GameState>(
      builder: (BuildContext context, GameState gameState) {
        final Game game = gameState.game;

        const Image decorationImage = Image(
          image: AssetImage('assets/icons/game_win.png'),
          fit: BoxFit.fill,
        );

        return Container(
          margin: const EdgeInsets.all(2),
          padding: const EdgeInsets.all(2),
          child: Table(
            defaultColumnWidth: const IntrinsicColumnWidth(),
            children: [
              TableRow(
                children: [
                  const Column(
                    children: [decorationImage],
                  ),
                  Column(
                    children: [
                      game.animationInProgress == true
                          ? decorationImage
                          : const RestartGameButton()
                    ],
                  ),
                  const Column(
                    children: [decorationImage],
                  ),
                ],
              ),
            ],
          ),
        );
      },
    );
  }
}
